%global realname p1_pgsql
%global upstream processone
# Technically, we're noarch; but erlang whose directories we install into is not.
%global debug_package %{nil}


Name:       erlang-%{realname}
Version:    1.1.0
Release:    2%{?dist}
Provides:   erlang-pgsql = %{version}-%{release}
Obsoletes:  erlang-pgsql < 0-16
Summary:    Pure Erlang PostgreSQL driver

License:    ERPL
URL:		https://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
# A Fedora-specific patch which restores API from erlang-pgsql package thus
# allowing fully seamless transition
Patch1:     erlang-p1_pgsql-0001-Restore-old-API.patch
BuildRequires: erlang-rebar


%description
Pure Erlang PostgreSQL driver.


%prep
%autosetup -n %{realname}-%{version} -p1


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%license EPLICENSE
%doc README.md
%{erlang_appdir}/


%changelog
* Sat Jun  4 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.1.0-2
- Restore old API from erlang-pgsql

* Thu Feb 25 2016 Randy Barlow <rbarlow@redhat.com> - 1.1.0-1
- Update to 1.1.0.
- Add the README.md as a doc.
- Run the tests.

* Wed Feb 17 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.0-1
- Update to 1.0.0.
- Update the URL and Source0 for the new upstream repository.

* Tue Jan 05 2016 Randy Barlow <rbarlow@redhat.com> - 0-15.20150428gite72c03c6
- Obsolete erlang-pgsql, which is the same package but installed to the wrong location for ejabberd.
- Remove the noarch, which was causing this package to get installed to the wrong location.
- Add a dependency on erlang-erts.

* Tue Dec 29 2015 Randy Barlow <rbarlow@redhat.com> - 0-1.20150428gite72c03c6
- Initial release.
